linphone::PresenceActivity Class Reference

Presence activity type holding information about a presence activity. More...

`#include <presence_activity.hh>`

Inheritance diagram for linphone::PresenceActivity:

## Public Types

enum class

Type {
Appointment = 0 ,
Away = 1 ,
Breakfast = 2 ,
Busy = 3 ,
Dinner = 4 ,
Holiday = 5 ,
InTransit = 6 ,
LookingForWork = 7 ,
Lunch = 8 ,
Meal = 9 ,
Meeting = 10 ,
OnThePhone = 11 ,
Other = 12 ,
Performance = 13 ,
PermanentAbsence = 14 ,
Playing = 15 ,
Presentation = 16 ,
Shopping = 17 ,
Sleeping = 18 ,
Spectator = 19 ,
Steering = 20 ,
Travel = 21 ,
TV = 22 ,
Unknown = 23 ,
Vacation = 24 ,
Working = 25 ,
Worship = 26
}

| Activities as defined in section 3.2 of RFC 4480. More...

## Public Member Functions

LINPHONECXX_PUBLIC | PresenceActivity (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphonePresenceActivity * | cPtr ()
LINPHONECXX_PUBLIC std::string | getDescription () const
| Gets the description of a presence activity.
LINPHONECXX_PUBLIC linphone::Status | setDescription (const std::string &description)
| Sets the description of a presence activity.
LINPHONECXX_PUBLIC Type | getType () const
| Gets the activity type of a presence activity.
LINPHONECXX_PUBLIC linphone::Status | setType (Type acttype)
| Sets the type of activity of a presence activity.
LINPHONECXX_PUBLIC std::string | toString () const
| Gets the string representation of a presence activity.

## Detailed Description

Presence activity type holding information about a presence activity.

## Member Enumeration Documentation

## Type

enum class linphone::PresenceActivity::Type

strong

Activities as defined in section 3.2 of RFC 4480.

Enumerator
Appointment | The person has a calendar appointment, without specifying exactly of what type.
Away | The person is physically away from all interactive communication devices.
Breakfast | The person is eating the first meal of the day, usually eaten in the morning.
Busy | The person is busy, without further details.
Dinner | The person is having his or her main meal of the day, eaten in the evening or at midday.
Holiday | This is a scheduled national or local holiday.
InTransit | The person is riding in a vehicle, such as a car, but not steering.
LookingForWork | The person is looking for (paid) work.
Lunch | The person is eating his or her midday meal.
Meal | The person is scheduled for a meal, without specifying whether it is breakfast, lunch, or dinner, or some other meal.
Meeting | The person is in an assembly or gathering of people, as for a business, social, or religious purpose.
OnThePhone | The person is talking on the telephone.
Other | The person is engaged in an activity with no defined representation.
Performance | A performance is a sub-class of an appointment and includes musical, theatrical, and cinematic performances as well as lectures.
PermanentAbsence | The person will not return for the foreseeable future, e.g., because it is no longer working for the company.
Playing | The person is occupying himself or herself in amusement, sport, or other recreation.
Presentation | The person is giving a presentation, lecture, or participating in a formal round-table discussion.
Shopping | The person is visiting stores in search of goods or services.
Sleeping | The person is sleeping.
Spectator | The person is observing an event, such as a sports event.
Steering | The person is controlling a vehicle, watercraft, or plane.
Travel | The person is on a business or personal trip, but not necessarily in-transit.
TV | The person is watching television.
Unknown | The activity of the person is unknown.
Vacation | A period of time devoted to pleasure, rest, or relaxation.
Working | The person is engaged in, typically paid, labor, as part of a profession or job.
Worship | The person is participating in religious rites.

## Member Function Documentation

## getDescription()

LINPHONECXX_PUBLIC std::string linphone::PresenceActivity::getDescription | ( |  | ) | const

Gets the description of a presence activity.

Returns
  A pointer to the description string of the presence activity, or nullptr if no description is specified.

## getType()

LINPHONECXX_PUBLIC Type linphone::PresenceActivity::getType | ( |  | ) | const

Gets the activity type of a presence activity.

Returns
  The Type of the activity.

## setDescription()

LINPHONECXX_PUBLIC linphone::Status linphone::PresenceActivity::setDescription | ( | const std::string & | description | ) |

Sets the description of a presence activity.

Parameters

  description | An additional description of the activity. Can be nullptr if no additional description is to be added.

Returns
  0 if successful, a value < 0 in case of error.

## setType()

LINPHONECXX_PUBLIC linphone::Status linphone::PresenceActivity::setType | ( | Type | acttype | ) |

Sets the type of activity of a presence activity.

Parameters

  acttype | The Type to set for the activity.

Returns
  0 if successful, a value < 0 in case of error.

## toString()

LINPHONECXX_PUBLIC std::string linphone::PresenceActivity::toString | ( |  | ) | const

Gets the string representation of a presence activity.

Returns
  A pointer a dynamically allocated string representing the given activity.
  The returned string is to be freed by calling ms_free().

The documentation for this class was generated from the following file:

- presence_activity.hh